Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Web Tools Project (WTP) » Struts Plugin for Eclipse 3.3
Struts Plugin for Eclipse 3.3 [message #199640] Wed, 12 September 2007 12:12 Go to next message
Eclipse UserFriend
Originally posted by: sarmadysNOTTHIS.NOTTHISgmail.com

Hello,

- Is there any plan to integrate a Struts plugin into J2EE development
version of eclipse?

- If not can someone please introduce me a free (or cheap) plugin? (I
already know that myeclipse has one)

Regards,
Mac
Re: Struts Plugin for Eclipse 3.3 [message #199644 is a reply to message #199640] Wed, 12 September 2007 14:50 Go to previous messageGo to next message
David Carver is currently offline David CarverFriend
Messages: 174
Registered: July 2009
Senior Member
Siamak Sarmady wrote:
> Hello,
>
> - Is there any plan to integrate a Struts plugin into J2EE development
> version of eclipse?
>
> - If not can someone please introduce me a free (or cheap) plugin? (I
> already know that myeclipse has one)
>

There are several available.

http://eclipse-plugins.2y.net/eclipse/search.jsp?query=strut s

http://amateras.sourceforge.jp/cgi-bin/fswiki_en/wiki.cgi?pa ge=StrutsIDE

Dave
Re: Struts Plugin for Eclipse 3.3 [message #199648 is a reply to message #199644] Wed, 12 September 2007 14:50 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: sarmadysNOTTHIS.NOTTHISgmail.com

David, thank you very much for your help.

But most of these do not support eclipse 3.3, do they?

Thank you again.
Mac

David Carver wrote:
> Siamak Sarmady wrote:
>> Hello,
>>
>> - Is there any plan to integrate a Struts plugin into J2EE development
>> version of eclipse?
>>
>> - If not can someone please introduce me a free (or cheap) plugin? (I
>> already know that myeclipse has one)
>>
>
> There are several available.
>
> http://eclipse-plugins.2y.net/eclipse/search.jsp?query=strut s
>
> http://amateras.sourceforge.jp/cgi-bin/fswiki_en/wiki.cgi?pa ge=StrutsIDE
>
> Dave
Re: Struts Plugin for Eclipse 3.3 [message #199654 is a reply to message #199648] Wed, 12 September 2007 16:43 Go to previous messageGo to next message
David Carver is currently offline David CarverFriend
Messages: 174
Registered: July 2009
Senior Member
Siamak Sarmady wrote:
> David, thank you very much for your help.
>
> But most of these do not support eclipse 3.3, do they?
>
> Thank you again.
> Mac
>

http://amateras.sourceforge.jp/cgi-bin/fswiki_en/wiki.cgi?pa ge=StrutsIDE

Should support Eclipse 3.3. In my experience, it depends on the
plugin. If they stuck to published APIs and didn't leverage internal
APIs they should still work.



> David Carver wrote:
>> Siamak Sarmady wrote:
>>> Hello,
>>>
>>> - Is there any plan to integrate a Struts plugin into J2EE
>>> development version of eclipse?
>>>
>>> - If not can someone please introduce me a free (or cheap) plugin? (I
>>> already know that myeclipse has one)
>>>
>>
>> There are several available.
>>
>> http://eclipse-plugins.2y.net/eclipse/search.jsp?query=strut s
>>
>> http://amateras.sourceforge.jp/cgi-bin/fswiki_en/wiki.cgi?pa ge=StrutsIDE
>>
>> Dave
Re: Struts Plugin for Eclipse 3.3 [message #199657 is a reply to message #199654] Wed, 12 September 2007 15:46 Go to previous messageGo to next message
Eclipse UserFriend
Originally posted by: sarmadysNOTTHIS.NOTTHISgmail.com

Thank you again.

David Carver wrote:
> Siamak Sarmady wrote:
>> David, thank you very much for your help.
>>
>> But most of these do not support eclipse 3.3, do they?
>>
>> Thank you again.
>> Mac
>>
>
> http://amateras.sourceforge.jp/cgi-bin/fswiki_en/wiki.cgi?pa ge=StrutsIDE
>
> Should support Eclipse 3.3. In my experience, it depends on the
> plugin. If they stuck to published APIs and didn't leverage internal
> APIs they should still work.
>
Re: Struts Plugin for Eclipse 3.3 [message #199694 is a reply to message #199640] Thu, 13 September 2007 13:33 Go to previous message
Naci Dai is currently offline Naci DaiFriend
Messages: 55
Registered: July 2009
Member
Siamak Sarmady wrote:
> Hello,
>
> - Is there any plan to integrate a Struts plugin into J2EE development
> version of eclipse?


Lomboz v3.3 (lomboz.objectweb.org), an EPL licensed tool based on WTP,
provides Struts config file/tiles editors with content assist,
validation, etc. Plus it has wizards for struts actions/forms/pages.

>
> - If not can someone please introduce me a free (or cheap) plugin? (I
> already know that myeclipse has one)
>
> Regards,
> Mac
Previous Topic:WTP Book: Deployment descriptor of the module NNN cannot be loaded.
Next Topic:Run on server for jsp
Goto Forum:
  


Current Time: Wed Dec 17 21:32:17 GMT 2014

Powered by FUDForum. Page generated in 0.02134 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software